#include <cstdio>
#include <math.h>

using namespace std; 

int main(){
	int n, m;
	scanf("%d%d", &n, &m); 
	int a[n], b[m][2]; 
	for(int i = 0 ; i < n ; i++){
		scanf("%d", &a[i]); 
	}
	int u = 0;
	for(int i = 0 ; i < m ; i++){
		for(int j = 0 ; j < 2 ; j++){
			scanf("%d", &b[i][j]); 
		}
		u += abs(a[b[i][0]-1] + a[b[i][1]-1]); 
	}
	printf("%d", u); 
	return 0;
}